/*
Theme Name: Flatsome Child
Description: This is a child theme for Flatsome Theme
Author: UX Themes
Template: flatsome
Version: 3.0
*/

/*============================================
GLOBAL KUPPRUM
============================================*/
@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');
@font-face {
  font-family: 'Nulshock';
  src: url('/wp-content/themes/flatsome-child/assets/font/nulshock bd.ttf');
}

/*GLOBAL >>> color ============*/
:root {
  --black: #363636; 
  --white: #ffffff;
  --red  : #d2170c;
  --orange : #ee4700;
  --wa-green : #25D366;
  --fw-800 : 800; 
  --fw-700 : 700; 
  --fw-600 : 600; 
  --fw-500 : 500;
  --fw-400 : 400;
  --fw-300 : 300;
  --ls-7   : 0.07em;
  --ls-15  : 0.15em;
  --ls-25  : 0.25em;
  --ls-30  : 0.30em;
  --font-bebasneue : "Bebas Neue", sans-serif;
  --font-poppins : Poppins, sans-serif;
}

/* GLOBAL >>> background */
.bg-black       { background-color: var(--black) !important;}
.bg-white       { background-color: var(--white) !important;}
.bg-red         { background-color: var(--red) !important;}
.bg-orange      { background-color: var(--orange) !important;}

/* GLOBAL >>> text color */
.text-black     { color: var(--black) !important;}
.text-white     { color: var(--white) !important;}
.text-red       { color: var(--red) !important;}
.text-orange    { color: var(--orange)!important}

/* GLOBAL >>> typography */
.font-bebasneue {   font-family: "Bebas Neue", sans-serif;   }
.font-poppins   {   font-family: Poppins, sans-serif;        }
.is-nulshock    {   font-family: 'Nulshock', sans-serif;     }

.fw-800 { font-weight: var(--fw-800) !important; }
.fw-700 { font-weight: var(--fw-700) !important; }
.fw-600 { font-weight: var(--fw-600) !important; }
.fw-500 { font-weight: var(--fw-500) !important; }
.fw-400 { font-weight: var(--fw-400) !important; }
.fw-300 { font-weight: var(--fw-300) !important; }

.ls-7  { letter-spacing: var(--ls-7); }
.ls-15 { letter-spacing: var(--ls-15); }
.ls-25 { letter-spacing: var(--ls-25); }
.ls-30 { letter-spacing: var(--ls-30); }

.p-0  { padding: 0!important;}
.pt-0 { padding-top: 0!important;}
.pl-0 { padding-left: 0!important;}
.pr-0 { padding-right: 0!important;}

.m-0  { margin: 0!important;}
.mt-0 { margin-top: 0!important;}
.ml-0 { margin-left: 0!important;}
.mr-0 { margin-right: 0!important;}

.mt-3 { margin-top: 30px !important; }

.btn-kupprum1 {
  /* button outline */
  background-color: var(--white);
  border: 1px solid var(--orange);
  padding: 0px 40px;
  color: var(--black);
  letter-spacing: 0.15em;
  font-weight: var(--fw-400);
}
.btn-kupprum1:hover {
  background-color: var(--orange);
  color: var(--white);
  box-shadow: unset;
}
.btn-kupprum2 {
  /* button solid */
  background-color: var(--orange);
  border: 1px solid var(--orange);
  padding: 0px 40px;
  color: var(--white);
  letter-spacing: 0.15em;
  font-weight: var(--fw-400);
}
.btn-kupprum2:hover {
  background-color: var(--white);
  box-shadow: unset;
  color: var(--orange);
}
.btn-kupprum3 {
  /* button like balki */
  background: var(--orange);
  border: none;
  border-radius: 8px;
  z-index: 1;
  font-weight: 400;
  font-size: 15px;
  letter-spacing: var(--ls-25);
}
.btn-kupprum3:after {
  position: absolute;
  content: "";
  width: 100%;
  height: 0;
  top: 0;
  left: 0;
  z-index: -1;
  border-radius: 8px;
  background-color: #202020;
}
.btn-kupprum3:hover {
  color: var(--white);
}
.btn-kupprum3:hover:after {
  top: auto;
  bottom: 0;
  height: 100%;
  transition: all 0.4s ease;
}

/* DANAR >>> Button Katalog letter spacing */
.btn-kupprum3.catalog {
  letter-spacing: 1.5px;
}

/* Button Whatsapp */
.btn-wa {
  background-color: var(--wa-green);
  color: var(--white);
  padding: 0 40px;
  border-radius: 30px;
  position: relative;
  font-size: 16px;
  line-height: 40px;
  display: inline-block;
}
.btn-wa:hover {
  color: var(--white);
}
.btn-wa img {
  margin-right: 5px;
  height: 18px;
  width:  18px;
  margin-bottom: 2px;
}

.nobr br {
  display: none;
}

/* Box Color */
.custom-color,
.standard-color {
  cursor: pointer;
  margin-inline: 5px;
	width: 35px;
	height: 35px;
	display: inline-block;
}
:is(.custom-color, .standard-color).active {
  outline: 3px solid #EE4700;
}
.color-1 {
  background-color: #e14b23;
}
.color-2 {
  background-color: #434748;
}
.color-3 {
  background-color: #bb5b21;
}
.color-4 {
  background-color: #5c6055;
}
.color-5 {
  background-color: #dcd7cf;
}
.color-6 {
  background-color: #e0a9bb;
}
.color-7 {
  background-color: #e0c115;
}
.color-8 {
  background-color: #e23a3a;
}
.box1{
	background: #EE4700;
}
.box2{
	background: #545454;
}
.box3{
	background: #E7E7E7;
}

/* Active Color */
:is(.custom-color, .standard-color).active {
  outline: 3px solid red;
}
/* Color Pallete */
.color-container {
  position: absolute;
  top: 0;
  right: 0px;
  bottom: 100px;
  margin: auto;
  z-index: 99;

  height: fit-content;
  max-height: 300px;
}
.color-scroll {
  overflow-y: hidden;
  height: fit-content;
  max-height: 300px;
}
.color-wrapper {
  display: flex;
  gap: 10px;
  flex-direction: column;
  flex-wrap: nowrap;
  padding-block: 10px;
}
/* Color Pallete Control */
div.control-down,
div.control-up {
  width: 20px;
  height: 20px;
  color: var(--orange);
  cursor: pointer;
}

/* Glitch */
.glitch {
  --glitch-color: var(--black);
  position: relative;
  color: var(--glitch-color);
  z-index: 1;
}
.glitch.text-white {
  --glitch-color: var(--white);
}
.glitch.text-orange {
  --glitch-color: var(--orange);
}

.glitch:before {
  content: attr(data-glitch);
  position: absolute;
  top: 0;
  left: -2px;
  width: 100%;
  color: var(--glitch-color);
  background-color: transparent;
  overflow: hidden;
  clip: rect(0, 900px, 0, 0);
  animation: noise-before 3s infinite linear alternate-reverse;
}
.glitch:after {
  content: attr(data-glitch);
  position: absolute;
  top: 0;
  left: 2px;
  width: 100%;
  color: var(--glitch-color);
  background-color: transparent;
  overflow: hidden;
  clip: rect(0, 900px, 0, 0);
  animation: noise-after 2s infinite linear alternate-reverse;
}

/*============================================
HEADER 
============================================*/
.flex-col.hide-for-medium.flex-right {
  width: 100%;
}
.flex-col.hide-for-medium.flex-right .header-nav li.menu-item:first-child {
  margin-left: auto !important;
}
.flex-col.hide-for-medium.flex-right .header-nav li.menu-item:nth-last-child(2) {
  margin-right: auto !important;
}

/* Logo */
header .logo-left .logo {
  margin-right: 0;
}
header .logo>a>div {
  display: flex;
  height: 100%;
  align-items: center;
  gap: 7px;
}
header .logo>a>div>img {
  margin: auto;
  height: 30px;
}

/* Logo Text */
header .logo .logo-text p {
  padding-left: 15px;
  font-size: 20px;
  line-height: 30px;
  white-space: nowrap;
  opacity: 0;
  animation: .5s ease forwards animEnter;
}
header .logo .delayed .logo-text p {
  animation: 1s ease 4s forwards 1 animEnter;
}

header .logo .logo-text img {
  opacity: 0;
  animation: .5s ease forwards animEnter;
}
header .logo .delayed .logo-text img {
  animation: 1s ease 4s forwards 1 animEnter;
}

/* Scrolled Header Logo Text */
header:has(.stuck) .logo .logo-text img {
  animation: .5s ease animExit;
}
header:has(.stuck) .logo .logo-text p {
  animation: .5s ease animExit;
}

ul.header-nav li a {
  letter-spacing: var(--ls-25);
  font-weight: var(--fw-400);
  padding: 0 10px;
}
ul.header-nav.nav-spacing-xlarge>li {
  margin: 0px 35px;
}

.header-button .btn-kupprum3{
  font-size: 12px;
  font-weight: var(--fw-500);
  letter-spacing: var(--ls-25);
}

/*============================================
MENU NAV
============================================*/
.nav-corner.is--tl {
  border-style: solid;
  border-width: 1px 0 0 1px;
  border-top-left-radius: .1875rem;
  top: 0%;
  bottom: auto;
  left: 0%;
  right: auto;
}
.nav-corner.is--bl {
  border-bottom-style: solid;
  border-bottom-width: 1px;
  border-left-style: solid;
  border-left-width: 1px;
  border-bottom-left-radius: .1875rem;
  top: auto;
  bottom: 0%;
  left: 0%;
  right: auto;
}
.nav-corner.is--tr {
  border-top-style: solid;
  border-top-width: 1px;
  border-right-style: solid;
  border-right-width: 1px;
  border-top-right-radius: .1875rem;
  top: 0%;
  bottom: auto;
  left: auto;
  right: 0%;
}
.nav-corner.is--br {
  border-bottom-style: solid;
  border-bottom-width: 1px;
  border-right-style: solid;
  border-right-width: 1px;
  border-bottom-right-radius: .1875rem;
  top: auto;
  bottom: 0%;
  left: auto;
  right: 0%;
}
.nav-corner {
  opacity: 0;
  border: 0px none var(--orange);
  width: .625rem;
  height: .625rem;
  position: absolute;
  z-index: 0;
}

/* Hovered Menu */
.header-nav li.menu-item:hover .nav-corner { 
  opacity: 1;
}
.header-nav li.menu-item a {
  padding: 0 15px;
}
.header-nav li.menu-item:hover .word .char:nth-child(odd) {
  animation: textScrambleOdd .6s ease;
}
.header-nav li.menu-item:hover .word .char:nth-child(even) {
  animation: textScrambleEven .6s ease;
}

/* Hovered btn header */
.header-button a.btn-kupprum3:hover .word .char:nth-child(odd) {
  animation: textScrambleOdd .6s ease;
}
.header-button a.btn-kupprum3:hover .word .char:nth-child(even) {
  animation: textScrambleEven .6s ease;
}

/*============================================
BLOG
============================================*/
.blog .box-image,
.archive.category .box-image {
  border-radius:15px !important;
}
.single.single-post   img.attachment-large.size-large.wp-post-image {
  border-radius:20px !important;
}

/*============================================
FORM
============================================*/
.wpcf7-form input,
.wpcf7-form textarea{
    margin-bottom: unset;
    border-radius: 5px!important;
}
.wpcf7-form ::placeholder {
    color: #ADADAD;
    padding-left: 13px;
}
.wpcf7 .wpcf7-not-valid-tip {
    background-color: #f1f1f1;
    border-radius: 3px;
    color: #b20000;
    line-height: 1.2em;
    margin-top: unset;
    opacity: .8;
    padding: 5px 8px;
    position: relative;
}
.wpcf7-radio span {
    letter-spacing: var(--ls-02);
    font-weight: var(--fw-400);
}
.wpcf7-radio {
    accent-color: var(--orange);
}
.wpcf7-form .wpcf7-submit {
    background-color: transparent;
    border: var(--orange) 1px solid;
    color: var(--black);
    font-family: var(--font-bebasneue);
    border-radius: 99px!important;
    padding-inline: 40px;
    letter-spacing: 0.15em;
    font-weight: var(--fw-400);
    padding-top: 1px;
}
.wpcf7-form .wpcf7-submit:hover {
    box-shadow: unset;
}
.wpcf7 form.invalid .wpcf7-response-output{
    border-color: var(--red);
}

/* Hide spinner cf7 form */
.wpcf7-spinner {
  display: none;
}

/*============================================
FOOTER
============================================*/
.absolute-footer {
  display: none;
}

footer .sosmed img:hover {
  padding-bottom: 5px;
}

#footer .menu-footer {
	font-family: var(--font-poppins);
	font-size: 15px;
	font-weight: var(--fw-400);
	line-height: 25px;
	letter-spacing: var(--ls-3);
}

#footer .stack-col {
  flex-direction: row !important;
  gap :25px;
}

#footer .CustomFooterCurrentYear {
  line-height: 11px;
}

/* 1880px width ================ */
@media only screen and (max-width: 1880px) {
  ul.header-nav.nav-spacing-xlarge>li {
    margin: 0px 20px;
  }
}

/* 1440px width ================ */
@media only screen and (max-width: 1440px) {
  ul.header-nav.nav-spacing-xlarge>li {
    margin: 0px 0px;
  }

  .nav-spacing-medium>li {
    margin: unset;
  }
}

/* TABLET ================ */
@media only screen and (max-width: 849px) {

  /* Logo Text */
  header .logo .logo-text img {
    filter: invert(1);
    opacity: 1;
    animation: unset;
  }
  header .logo .delayed .logo-text img {
    animation: unset;
  }
  
  /* Logo Text Scrolled */
  header:has(.stuck) .logo .logo-text img {
    animation: unset;
  }

  /* Color Pallete */
  .color-scroll {
    right: 10px;
    max-height: 200px;
  }
  .color-wrapper {
    gap: 5px;
  }
}

/* MOBILE ================ */
@media only screen and (max-width: 34em) {
  header #logo a>div>img {
    width: 30px;
    height: auto;
  }
  header:not(:has(.stuck)) a .logo-text img {
    filter: invert(0) !important;
  }

  footer .mobile-center>div.text-left .img{ 
    margin-left: auto!important;
    margin-right: auto!important;
  }
}
@media only screen and (max-width: 428px) {

  /* Color Box */
  .custom-color,
  .standard-color {
    width: 30px;
    max-height: 30px;
  }
}
@media only screen and (min-width:1880px){
  .container-width, .full-width .ubermenu-nav, .container, .row {
    max-width: 1450px!important;
  }
  .row.row-full-width {
    max-width: 100%!important;
  }
  .row.row-collapse {
    max-width: unset!important;
  }
}

/*============================================
ANIMATION KUPPRUM
============================================*/

/* Menu Nav Animation */
@keyframes textScrambleOdd {
  0% {
    transform: translateY(10px);
  }
  100% {
    transform: translateY(0px);
  }
}
@keyframes textScrambleEven {
  0% {
    transform: translateY(-10px);
  }
  100% {
    transform: translateY(0px);
  }
}

/* Logo Slide Enter & Exit */
@keyframes animEnter {
  0% {
    opacity: 0;
    transform: translateX(-50px);
  }
  100% {
    opacity: 1;
    transform: translateX(0);
  }
}
@keyframes animExit {
  0% {
    opacity: 1;
    transform: translateX(0);
  }
  100% {
    opacity: 0;
    transform: translateX(-50px);
  }
}

/* Glitch Animation */
@keyframes noise-before {
  0% {
      clip: rect(61px, 9999px, 52px, 0);
  }

  5% {
      clip: rect(33px, 9999px, 144px, 0);
  }

  10% {
      clip: rect(121px, 9999px, 115px, 0);
  }

  15% {
      clip: rect(144px, 9999px, 162px, 0);
  }

  20% {
      clip: rect(62px, 9999px, 180px, 0);
  }

  25% {
      clip: rect(34px, 9999px, 42px, 0);
  }

  30% {
      clip: rect(147px, 9999px, 179px, 0);
  }

  35% {
      clip: rect(99px, 9999px, 63px, 0);
  }

  40% {
      clip: rect(188px, 9999px, 122px, 0);
  }

  45% {
      clip: rect(154px, 9999px, 14px, 0);
  }

  50% {
      clip: rect(63px, 9999px, 37px, 0);
  }

  55% {
      clip: rect(161px, 9999px, 147px, 0);
  }

  60% {
      clip: rect(109px, 9999px, 175px, 0);
  }

  65% {
      clip: rect(157px, 9999px, 88px, 0);
  }

  70% {
      clip: rect(173px, 9999px, 131px, 0);
  }

  75% {
      clip: rect(62px, 9999px, 70px, 0);
  }

  80% {
      clip: rect(24px, 9999px, 153px, 0);
  }

  85% {
      clip: rect(138px, 9999px, 40px, 0);
  }

  90% {
      clip: rect(79px, 9999px, 136px, 0);
  }

  95% {
      clip: rect(25px, 9999px, 34px, 0);
  }

  100% {
      clip: rect(173px, 9999px, 166px, 0);
  }
}
@keyframes noise-after {
  0% {
      clip: rect(26px, 9999px, 33px, 0);
  }

  5% {
      clip: rect(140px, 9999px, 198px, 0);
  }

  10% {
      clip: rect(184px, 9999px, 89px, 0);
  }

  15% {
      clip: rect(121px, 9999px, 6px, 0);
  }

  20% {
      clip: rect(181px, 9999px, 99px, 0);
  }

  25% {
      clip: rect(154px, 9999px, 133px, 0);
  }

  30% {
      clip: rect(134px, 9999px, 169px, 0);
  }

  35% {
      clip: rect(26px, 9999px, 187px, 0);
  }

  40% {
      clip: rect(147px, 9999px, 137px, 0);
  }

  45% {
      clip: rect(31px, 9999px, 52px, 0);
  }

  50% {
      clip: rect(191px, 9999px, 109px, 0);
  }

  55% {
      clip: rect(74px, 9999px, 54px, 0);
  }

  60% {
      clip: rect(145px, 9999px, 75px, 0);
  }

  65% {
      clip: rect(153px, 9999px, 198px, 0);
  }

70% {
      clip: rect(99px, 9999px, 136px, 0);
  }

  75% {
      clip: rect(118px, 9999px, 192px, 0);
  }

  80% {
      clip: rect(1px, 9999px, 83px, 0);
  }

  85% {
      clip: rect(145px, 9999px, 98px, 0);
  }

  90% {
      clip: rect(121px, 9999px, 154px, 0);
  }

  95% {
      clip: rect(156px, 9999px, 44px, 0);
  }

  100% {
      clip: rect(67px, 9999px, 122px, 0);
  }
}

/*  */
@keyframes  animated-text {
  to {
    background-position: 200% center;
  }
}

@keyframes arrow-animation {
  0% {
    opacity: 0;
    transform: translate(0, 20px);
  }
  
  30% {
    opacity: 1;
  }

  50% {
    opacity: 0;
  }

  100% {
    opacity: 0;
    transform: translate(0px, -20px);
  }
}
